## kreport 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(SetKReportCMakePolicies NO_POLICY_SCOPE)

project(KReport VERSION 3.1.0) # Update this

include(KReportAddTests)
include(KReportAddExamples)
kreport_add_tests(OFF)
kreport_add_examples(OFF)

# CMake
include(CMakePackageConfigHelpers)

# ECM
include(ECMGeneratePriFile)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

# Own
include(KReportAddIconsRccFile)
include(KReportAddQCH)
include(KReportMacros)

simple_option(BUILD_QCH "Build API documentation in QCH format" OFF)

# Dependencies
set(REQUIRED_QT_VERSION 5.4.0)
set(REQUIRED_KF5_VERSION 5.16.0)
set(REQUIRED_KPROPERTY_VERSION 3.1.0)

# Required components to build this framework
# TODO move Widgets/KF5WidgetsAddons-dependent part to a libKReportDesigner
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets Xml PrintSupport)
find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED CoreAddons WidgetsAddons GuiAddons Config)
find_package(KPropertyWidgets ${REQUIRED_KPROPERTY_VERSION} COMPONENTS KF)
set_package_properties(KPropertyWidgets PROPERTIES TYPE REQUIRED
                       PURPOSE "Required by KReport for handling properties")

get_git_revision_and_branch()
add_unfinished_features_option()
add_pc_file(${PROJECT_NAME})

add_subdirectory(src)

if(BUILD_TESTING)
  add_subdirectory(autotests)
  #add_subdirectory(tests)
endif()

if(BUILD_EXAMPLES)
  add_subdirectory(examples)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# Options
simple_option(KREPORT_SCRIPTING "Scripting support using JavaScript language" ON)

if(KREPORT_SCRIPTING)
    find_package(Qt5Qml REQUIRED)
    set(SCRIPTING_LIBS Qt5::Qml)
endif()

set(kreport_LIB_SRCS
    common/kreport_debug.cpp
    common/kreportplugin_debug.cpp
    common/KReportItemBase.cpp
    common/KReportAsyncItemBase.cpp
    common/KReportSectionData.cpp
    common/KReportLabelSizeInfo.cpp
    common/KReportDocument.cpp
    common/KReportDetailSectionData.cpp
    common/KReportPluginInterface.cpp
    common/KReportItemLine.cpp
    common/KReportRenderObjects.cpp
    common/KReportPluginManager.cpp
    common/KReportJsonTrader_p.cpp
    common/KReportPluginMetaData.cpp
    common/KReportDataSource.cpp
    common/KReportUtils.cpp
    common/KReportPageSize.cpp
    common/KReportUnit.cpp
    common/KReportDesign.cpp
    common/KReportDesign_p.cpp
    common/KReportLineStyle.cpp
    common/KReportElement.cpp
    ${PROJECT_BINARY_DIR}/src/KReportElement_sdc.cpp
    common/KReportSection.cpp

    renderer/KReportPrintRenderer_p.cpp
    renderer/KReportPreRenderer.cpp
    renderer/KReportAsyncItemManager_p.cpp
    renderer/KReportScreenRenderer_p.cpp
    renderer/KReportHTMLTableRenderer_p.cpp
    renderer/KReportHTMLCSSRenderer_p.cpp
    #TODO renderer/KReportKSpreadRenderer.cpp
    #TODO renderer/KReportODTRenderer.cpp
    #TODO renderer/KOdtFrameReportRenderer.cpp
    renderer/KReportRendererBase.cpp
    renderer/KReportPage.cpp
    renderer/KReportView.cpp
    renderer/KReportOneRecordDataSource_p.cpp

    wrtembed/KReportDetailGroupSectionDialog.cpp
    wrtembed/KReportDesignerItemBase.cpp
    wrtembed/KReportDesignerItemRectBase.cpp
    wrtembed/KReportDesignerItemLine.cpp
    wrtembed/KReportDesignerSection.cpp
    wrtembed/KReportDesignerSectionDetailGroup.cpp
    wrtembed/KReportDesignerSectionDetail.cpp
    wrtembed/KReportDesignerSectionScene.cpp
    wrtembed/KReportDesignerSectionView.cpp
    wrtembed/KReportDesigner.cpp
    wrtembed/KReportPropertiesButton.cpp
    wrtembed/KReportSectionEditor.cpp
    wrtembed/KReportRuler_p.cpp
    wrtembed/KReportZoomHandler_p.cpp
    wrtembed/KReportZoomMode_p.cpp

    items/label/KReportItemLabel.cpp
    items/label/KReportDesignerItemLabel.cpp
    items/label/KReportLabelPlugin.cpp
    items/label/KReportBoundedTextItem.cpp
    items/label/KReportLabelElement.cpp
    items/label/label.json

    items/check/KReportItemCheck.cpp
    items/check/KReportDesignerItemCheckBox.cpp
    items/check/KReportCheckBoxPlugin.cpp
    items/check/check.json

    items/field/KReportItemField.cpp
    items/field/KReportDesignerItemField.cpp
    items/field/KReportFieldPlugin.cpp
    items/field/field.json

    items/image/KReportItemImage.cpp
    items/image/KReportDesignerItemImage.cpp
    items/image/KReportImagePlugin.cpp
    items/image/image.json

    items/text/KReportItemText.cpp
    items/text/KReportDesignerItemText.cpp
    items/text/KReportTextPlugin.cpp
    items/text/text.json

    # non-source:
    Mainpage.dox
    Messages.sh
)

set(kreport_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/common
    ${CMAKE_CURRENT_SOURCE_DIR}/wrtembed
    ${CMAKE_CURRENT_SOURCE_DIR}/renderer
)

set(kreport_TARGET_INCLUDE_DIRS
    common renderer wrtembed
)

if(KREPORT_SCRIPTING)
    list(APPEND kreport_LIB_SRCS
        renderer/scripting/KReportScriptHandler.cpp
        renderer/scripting/KReportScriptConstants.cpp
        renderer/scripting/KReportScriptDebug.cpp
        renderer/scripting/KReportScriptDraw.cpp
        renderer/scripting/KReportScriptReport.cpp
        renderer/scripting/KReportScriptSection.cpp
        renderer/scripting/KReportScriptLine.cpp

        #renderer/odtframe/KoOdtFrameReportDocument.cpp
        #renderer/odtframe/KoOdtFrameReportCheckBox.cpp
        #renderer/odtframe/KoOdtFrameReportImage.cpp
        #renderer/odtframe/KoOdtFrameReportTextBox.cpp
        #renderer/odtframe/KoOdtFrameReportLine.cpp
        #renderer/odtframe/KoOdtFrameReportPicture.cpp
        #renderer/odtframe/KoOdtFrameReportPrimitive.cpp

        #renderer/ods/KoSimpleOdsDocument.cpp
        #renderer/ods/KoSimpleOdsSheet.cpp
        #renderer/ods/KoSimpleOdsCell.cpp

        items/label/KReportScriptLabel.cpp
        items/check/KReportScriptCheck.cpp
        items/field/KReportScriptField.cpp
        items/image/KReportScriptImage.cpp
        items/text/KReportScriptText.cpp
    )

    qt_wrap_cpp(KReport kreport_LIB_SRCS
        renderer/scripting/KReportGroupTracker.h
    )

    list(APPEND kreport_INCLUDE_DIRS
        ${CMAKE_CURRENT_SOURCE_DIR}/renderer/scripting
    )

    list(APPEND kreport_TARGET_INCLUDE_DIRS
        renderer/scripting
    )
endif()

qt5_wrap_ui(kreport_LIB_SRCS
    wrtembed/KReportDetailGroupSectionDialog.ui
    wrtembed/KReportSectionEditor.ui
)

ecm_create_qm_loader(kreport_LIB_SRCS kreport_qt)

add_library(KReport SHARED ${kreport_LIB_SRCS})
set_coinstallable_lib_version(KReport)

add_library(KReportUtilsPrivate STATIC
    common/KReportUtils_p.cpp
)

kdb_create_shared_data_classes(
    kreport_GENERATED_SHARED_DATA_CLASS_HEADERS # output variable with list of headers
    NO_PREFIX # subdirectory in which the headers should be generated
    common/KReportLineStyle.shared.h
    common/KReportElement.shared.h
    common/KReportSection.shared.h
    items/label/KReportLabelElement.shared.h
)

kdb_remove_extensions(
    kreport_GENERATED_SHARED_DATA_CLASS_BASENAMES
    ${kreport_GENERATED_SHARED_DATA_CLASS_HEADERS}
)

generate_export_header(KReport)

#qt5_use_modules(KReport Widgets Xml PrintSupport)

target_include_directories(KReport
    PUBLIC "$<BUILD_INTERFACE:${kreport_INCLUDE_DIRS}>"
    INTERFACE "$<INSTALL_INTERFACE:${KREPORT_INCLUDE_INSTALL_DIR}>"
    PRIVATE ${kreport_TARGET_INCLUDE_DIRS}
)

target_link_libraries(KReport
    PUBLIC
        Qt5::PrintSupport
        Qt5::Xml
        KF5::CoreAddons
        KPropertyWidgets
    PRIVATE
        ${SCRIPTING_LIBS}
        KReportUtilsPrivate
)

target_link_libraries(KReportUtilsPrivate
    PUBLIC
        Qt5::Widgets
        KF5::ConfigGui
        KF5::WidgetsAddons
    )

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KREPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kreport_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KReportConfigVersion.cmake"
)

install(TARGETS KReport
        EXPORT KReportTargets
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KREPORT_BASE_NAME}")

# A place for KReport plugins
set(KREPORT_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kreport${PROJECT_STABLE_VERSION_MAJOR})

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KReportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KReportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KReportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KReportConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KReportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KReportTargets.cmake)

ecm_generate_pri_file(
    BASE_NAME ${KREPORT_BASE_NAME}
    LIB_NAME ${KREPORT_BASE_NAME}
    DEPS "widgets"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR ${KREPORT_INCLUDE_INSTALL_DIR}
)

install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(FILES kreport_elementplugin.desktop  DESTINATION ${SERVICETYPES_INSTALL_DIR})

ecm_generate_headers(kreport_FORWARDING_HEADERS
    REQUIRED_HEADERS kreport_HEADERS
    ORIGINAL CAMELCASE
    RELATIVE common
    HEADER_NAMES
        KReportPageSize
        KReportDataSource
        KReportItemBase
        KReportItemLine
        KReportPluginMetaData
        KReportPluginManager
        KReportPluginInterface
        KReportUnit
        KReportUtils
        KReportDesign
        KReportDocument
        KReportSectionData
        KReportRenderObjects
        KReportAsyncItemBase
)

ecm_generate_headers(kreport_FORWARDING_HEADERS
    REQUIRED_HEADERS kreport_HEADERS
    ORIGINAL CAMELCASE
    RELATIVE renderer
    HEADER_NAMES
        KReportPage
        KReportRendererBase
        KReportPreRenderer
        KReportView
)

if(KREPORT_SCRIPTING)
    ecm_generate_headers(kreport_FORWARDING_HEADERS
        REQUIRED_HEADERS kreport_HEADERS
        ORIGINAL CAMELCASE
        RELATIVE renderer/scripting
        HEADER_NAMES
            KReportGroupTracker
            KReportScriptConstants
            KReportScriptDraw
            KReportScriptHandler
            KReportScriptSource
    )
endif()

ecm_generate_headers(kreport_FORWARDING_HEADERS
    REQUIRED_HEADERS kreport_HEADERS
    ORIGINAL CAMELCASE
    RELATIVE wrtembed
    HEADER_NAMES
        KReportDesignerSectionDetail
        KReportDesignerSection
        KReportDesignerItemBase
        KReportDesignerSectionDetailGroup
        KReportDesignerItemRectBase
        KReportDesigner
)

ecm_generate_headers(kreport_FORWARDING_HEADERS_FROM_BUILDDIR
    REQUIRED_HEADERS kreport_HEADERS_FROM_BUILDDIR
    ORIGINAL CAMELCASE
    SOURCE_DIR ${PROJECT_BINARY_DIR}/src
    HEADER_NAMES
        ${kreport_GENERATED_SHARED_DATA_CLASS_BASENAMES}
)

list(APPEND kreport_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/kreport_version.h)

install(
    FILES
        ${kreport_HEADERS}
        ${kreport_HEADERS_FROM_BUILDDIR}
        ${kreport_FORWARDING_HEADERS}
        ${kreport_FORWARDING_HEADERS_FROM_BUILDDIR}
        ${PROJECT_BINARY_DIR}/src/kreport_export.h
        ${PROJECT_BINARY_DIR}/src/config-kreport.h
    DESTINATION ${KREPORT_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

if(BUILD_QCH)
    kreport_add_qch(
        KReport_QCH
        NAME KReport
        BASE_NAME ${KREPORT_BASE_NAME}
        VERSION ${PROJECT_VERSION}
        NAMESPACE org.kde.${KREPORT_BASE_NAME}
        SOURCES
            Mainpage.dox
            ${kreport_HEADERS}
            ${kreport_HEADERS_FROM_BUILDDIR}
        LINK_QCHS
            Qt5Core_QCH
            Qt5Xml_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
            Qt5PrintSupport_QCH
            KF5CoreAddons_QCH
            KPropertyCore_QCH
            KPropertyWidgets_QCH
        BLANK_MACROS
            KREPORT_EXPORT
            KREPORT_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KREPORT_QTQCH_FULL_INSTALL_DIR}
        QCH_INSTALL_DESTINATION ${KREPORT_QTQCH_FULL_INSTALL_DIR}
    )
    set(kreport_qch_targets KReport_QCH)
endif()

kreport_install_qch_export(
    TARGETS ${kreport_qch_targets}
    FILE KReportQCHTargets.cmake
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

add_subdirectory(plugins)
add_subdirectory(pics)

enable_testing()

configure_file(config-kreport.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kreport.h)

=== src/plugins/CMakeLists.txt ===
ecm_optional_add_subdirectory(barcode)

if(NOT WIN32)
#todo  ecm_optional_add_subdirectory(chart)
endif()

find_package(Marble)
if(Marble_FOUND)
  ecm_optional_add_subdirectory(maps)
endif()

find_package(Qt5WebKitWidgets)
if(Qt5WebKitWidgets_FOUND)
  ecm_optional_add_subdirectory(web)
endif()

=== src/plugins/barcode/CMakeLists.txt ===
ecm_create_qm_loader(kreport_barcodeplugin_QM_LOADER kreport_barcodeplugin_qt)

set(kreport_barcodeplugin_LIB_SRCS
    ${PROJECT_SOURCE_DIR}/src/common/kreportplugin_debug.cpp
    KReportItemBarcode.cpp
    KReportDesignerItemBarcode.cpp
    3of9.cpp
    i2of5.cpp
    code128.cpp
    codeean.cpp
    ext3of9.cpp
    i2of5paint.cpp
    3of9paint.cpp
    ext3of9paint.cpp
    codeeanpaint.cpp
    code128paint.cpp
    KReportBarcodePlugin.cpp
    ${kreport_barcodeplugin_QM_LOADER}
    kreport_barcodeplugin.json
)

if(KREPORT_SCRIPTING)
    list(APPEND kreport_barcodeplugin_LIB_SRCS
        KReportScriptBarcode.cpp
    )
endif()

add_library(org.kde.kreport.barcode MODULE ${kreport_barcodeplugin_LIB_SRCS})

target_link_libraries(org.kde.kreport.barcode
    PUBLIC
        KReport
)

install(TARGETS org.kde.kreport.barcode DESTINATION ${KREPORT_PLUGIN_INSTALL_DIR})

add_subdirectory(pics)

=== src/plugins/chart/CMakeLists.txt ===
ecm_create_qm_loader(kreport_chartplugin_QM_LOADER kreport_chartplugin_qt)

set(kreport_chartplugin_LIB_SRCS
    ${PROJECT_SOURCE_DIR}/src/common/kreportplugin_debug.cpp
    KReportItemChart.cpp
    KReportDesignerItemChart.cpp
    KReportChartPlugin.cpp
    ${kreport_chartplugin_QM_LOADER}
)

if(KREPORT_SCRIPTING)
    list(APPEND kreport_chartplugin_LIB_SRCS
        KReportScriptChart.cpp
    )
endif()

add_library(org.kde.kreport.chart MODULE ${kreport_chartplugin_LIB_SRCS})

target_link_libraries(org.kde.kreport.chart
    PUBLIC
        KReport
    PRIVATE
        KChart
)

install(TARGETS org.kde.kreport.chart DESTINATION ${KREPORT_PLUGIN_INSTALL_DIR})

add_subdirectory(pics)

=== src/plugins/maps/CMakeLists.txt ===
ecm_create_qm_loader(kreport_mapsplugin_QM_LOADER kreport_mapsplugin_qt)

#build a shared library
set(kreport_mapsplugin_LIB_SRCS
    ${PROJECT_SOURCE_DIR}/src/common/kreportplugin_debug.cpp
    KReportDesignerItemMaps.cpp
    KReportItemMaps.cpp
    KReportMapsPlugin.cpp
    KReportMapRenderer.cpp
    ${kreport_mapsplugin_QM_LOADER}
    kreport_mapsplugin.json
)

if(KREPORT_SCRIPTING)
    list(APPEND kreport_mapsplugin_LIB_SRCS
        KReportScriptMaps.cpp
    )
endif()

add_library(org.kde.kreport.maps MODULE ${kreport_mapsplugin_LIB_SRCS})

target_link_libraries(org.kde.kreport.maps
    PUBLIC
        KReport
    PRIVATE
        Marble
)

########### install files ###############

install(TARGETS org.kde.kreport.maps DESTINATION ${KREPORT_PLUGIN_INSTALL_DIR})

add_subdirectory(pics)

=== src/plugins/barcode/pics/CMakeLists.txt ===
kreport_add_plugin_icons_rcc_file(org.kde.kreport.barcode breeze)

=== src/plugins/chart/pics/CMakeLists.txt ===
kreport_add_plugin_icons_rcc_file(org.kde.kreport.chart breeze)

=== src/plugins/web/pics/CMakeLists.txt ===
kreport_add_plugin_icons_rcc_file(org.kde.kreport.web breeze)

## kreport 3.0.2

=== debian/changelog ===
kreport (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Small copyright update.
  * Bump the Qt, frameworks, and kproperty build dependencies as indicated
    by the upstream build system.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 10:54:18 +0200

kreport (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Bump Standards-Version to 4.0.0, no changes required.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2017 13:12:25 +0200

kreport (3.0.0-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Set the version for the libmarble-dev build dependency to 4:16.08.0~,
    as older versions do not have the proper cmake configuration files.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Mar 2017 07:42:31 +0200

kreport (3.0.0-1) experimental; urgency=medium

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jan 2017 23:21:16 +0100

=== debian/control ===
Source: kreport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0),
               libkf5config-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               libkproperty3-dev (>= 3.0.2),
               libmarble-dev (>= 4:16.08.0~),
               libqt5webkit5-dev,
               pkg-kde-tools (>= 0.15.16),
               python,
               qtbase5-dev (>= 5.4.0),
               qtdeclarative5-dev,
Standards-Version: 4.0.1
Homepage: https://community.kde.org/KReport
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kreport.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kreport.git

Package: libkreport3-3
Architecture: any
Multi-Arch: same
Depends: libkreport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: report creation and generation framework -- shared library
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 Reports can be created interactively and programmatically. They can be
 previewed on screen, printed, and saved in a variety of formats such as
 HTML, PDF and OpenDocument.
 .
 Reports of this kind offer a way to view, format, and summarize the
 information. For example a simple report of contact phone numbers can be
 prepared, or a more complex report on sales for different products, regions,
 and periods of time.
 .
 A report is often filled with information from a database. There are many
 use cases:
  * The data can be displayed, summarized, sorted and grouped
  * Totals can be computed and displayed
  * Single or multiple records of data can be placed on a page
  * Details for individual data records can be placed in a layout
  * Labels can be created
  * The various report sections, such as title, header or footer, can be sized
    to suit
  * Reports can be generated on demand, thus eliminating saving them in files
    for further use
 .
 This package contains the shared library.
 .
 This package is part of the Calligra Suite.

Package: libkreport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the architecture independent data files for the
 KReport library.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-dev
Architecture: any
Section: libdevel
Depends: libkreport3-3 (= ${binary:Version}),
         qtbase5-dev (>= 5.3.0),
         libkproperty3-dev (>= 3.0.0),
         libkf5coreaddons-dev,
         ${misc:Depends},
Description: development files for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the development files for the KReport library.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-plugin-barcode
Architecture: any
Multi-Arch: same
Depends: libkreport3-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: barcode plugin for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the barcode plugin for KReport.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-plugin-maps
Architecture: any
Multi-Arch: same
Depends: libkreport3-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: maps plugin for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the maps plugin for KReport.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-plugin-web
Architecture: any
Multi-Arch: same
Depends: libkreport3-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web plugin for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the web plugin for KReport.
 .
 This package is part of the Calligra Suite.

=== debian/watch ===
version=4

http://download.kde.org/stable/kreport/src/kreport-([\d\.]+)\.tar\.xz

## kreport 3.1.0

=== debian/changelog ===
kreport (3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:33:39 +0100

kreport (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename libkreport3-3 to libkreport3-4 according to the upstream SONAME bump.
  * Bump the libkproperty3-dev build dependency to >= 3.1.0~.
  * Switch the python build dependency to python3, as it is supposed now by
    the build scripts
    - pass -DPython_ADDITIONAL_VERSIONS=3 to cmake, to make FindPythonInterp
      accept Python 3
  * Add the required qttools5-dev build dependency.
  * Update install files.
  * Update symbols file.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Vcs-* fields to salsa.debian.org.
  * Mark also libkreport3-dev as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 12:25:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,27 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
                libkf5guiaddons-dev (>= 5.16.0),
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
-               libkproperty3-dev (>= 3.0.2),
+               libkproperty3-dev (>= 3.1.0~),
                libmarble-dev (>= 4:16.08.0~),
                libqt5webkit5-dev,
                pkg-kde-tools (>= 0.15.16),
-               python,
+               python3,
                qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
-Standards-Version: 4.0.1
+               qttools5-dev,
+Standards-Version: 4.1.3
 Homepage: https://community.kde.org/KReport
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kreport.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kreport.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kreport.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kreport
 
-Package: libkreport3-3
+Package: libkreport3-4
 Architecture: any
 Multi-Arch: same
 Depends: libkreport-data (>= ${source:Version}),
@@ -75,8 +76,9 @@
 
 Package: libkreport3-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          qtbase5-dev (>= 5.3.0),
          libkproperty3-dev (>= 3.0.0),
          libkf5coreaddons-dev,
@@ -93,7 +95,7 @@
 Package: libkreport3-plugin-barcode
 Architecture: any
 Multi-Arch: same
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: barcode plugin for KReport
@@ -108,7 +110,7 @@
 Package: libkreport3-plugin-maps
 Architecture: any
 Multi-Arch: same
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: maps plugin for KReport
@@ -123,7 +125,7 @@
 Package: libkreport3-plugin-web
 Architecture: any
 Multi-Arch: same
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: web plugin for KReport

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DPython_ADDITIONAL_VERSIONS=3

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_test

## kreport 3.1.0+rebuild

=== debian/changelog ===
kreport (3.1.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 12:58:12 +0800

## kreport 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 include(SetKReportCMakePolicies NO_POLICY_SCOPE)
 
-project(KReport VERSION 3.1.0) # Update this
+project(KReport VERSION 3.2.0) # Update this
 
 include(KReportAddTests)
 include(KReportAddExamples)
@@ -33,7 +33,7 @@
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
 set(REQUIRED_KF5_VERSION 5.16.0)
-set(REQUIRED_KPROPERTY_VERSION 3.1.0)
+set(REQUIRED_KPROPERTY_VERSION 3.2.0)
 
 # Required components to build this framework
 # TODO move Widgets/KF5WidgetsAddons-dependent part to a libKReportDesigner

=== autotests/CMakeLists.txt ===
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_USE_QSTRINGBUILDER
)

include(ECMAddTests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

# A helper library for report-related tests
add_library(KReportTestUtils SHARED
    KReportTestUtils.cpp
)
target_link_libraries(KReportTestUtils
    PUBLIC
        Qt5::Test
        KReport
)
generate_export_header(KReportTestUtils)

find_package(Qt5Test REQUIRED)

ecm_add_tests(
    ElementsTest.cpp
    PluginsTest.cpp
    LINK_LIBRARIES
        KReportTestUtils
)

if(NOT WIN32) #TODO enable for Windows when headers_test.sh is ported e.g. to python
    add_subdirectory(headers)
endif()
add_subdirectory(format)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -176,8 +176,6 @@
 
 generate_export_header(KReport)
 
-#qt5_use_modules(KReport Widgets Xml PrintSupport)
-
 target_include_directories(KReport
     PUBLIC "$<BUILD_INTERFACE:${kreport_INCLUDE_DIRS}>"
     INTERFACE "$<INSTALL_INTERFACE:${KREPORT_INCLUDE_INSTALL_DIR}>"
@@ -216,7 +214,7 @@
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KREPORT_BASE_NAME}")
 
 # A place for KReport plugins
-set(KREPORT_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kreport${PROJECT_STABLE_VERSION_MAJOR})
+set(KREPORT_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KReportConfig.cmake.in"

=== autotests/format/CMakeLists.txt ===
add_definitions(-DFILES_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

ecm_add_tests(
    FormatTest.cpp
    LINK_LIBRARIES
        KReportTestUtils
)

=== autotests/headers/CMakeLists.txt ===
# Test if all the installed headers can be included individually. Requires installed headers.

add_test(
    NAME HeadersTest
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/headers_test.sh
                "${CMAKE_BINARY_DIR}" "${CMAKE_SOURCE_DIR}"  KReport kreport .
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
)

# Just show dependent files in the project:
add_custom_target(HeadersTest SOURCES headers_test.sh HeadersTestInclude.cmake)

=== src/pics/CMakeLists.txt ===
kreport_add_icons_rcc_file(kreport_breeze KReport breeze "")

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif()
 
 find_package(Marble)
-if(Marble_FOUND)
+if(Marble_FOUND AND NOT WIN32)
   ecm_optional_add_subdirectory(maps)
 endif()

=== src/plugins/web/CMakeLists.txt ===
ecm_create_qm_loader(kreport_webplugin_QM_LOADER kreport_webplugin_qt)

#build a shared library
set(kreport_webplugin_LIB_SRCS
    ${PROJECT_SOURCE_DIR}/src/common/kreportplugin_debug.cpp
    KReportDesignerItemWeb.cpp
    KReportItemWeb.cpp
    KReportWebPlugin.cpp
    ${kreport_webplugin_QM_LOADER}
    kreport_webplugin.json
)

add_library(org.kde.kreport.web MODULE ${kreport_webplugin_LIB_SRCS})

target_link_libraries(org.kde.kreport.web
    PUBLIC
        KReport
    PRIVATE
        Qt5::WebKitWidgets # TODO WebEngineWidgets?
)

########### install files ###############

install(TARGETS org.kde.kreport.web DESTINATION ${KREPORT_PLUGIN_INSTALL_DIR})

add_subdirectory(pics)

=== src/plugins/maps/pics/CMakeLists.txt ===
kreport_add_plugin_icons_rcc_file(org.kde.kreport.maps breeze)

=== debian/changelog ===
kreport (3.2.0-6) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113085)
  * Tweak watch file so it works with newer versions of uscan.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:14:14 +0200

kreport (3.2.0-5) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop libkreport3-plugin-web since its out of security support and
    we’re removing it from Debian. (Closes: #1093533)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 18:24:52 +0100

kreport (3.2.0-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop libkreport3-plugin-maps since it requires Marble and we’ll be
    shipping a Qt6 Marble for Trixie.
  * Drop custom build flags that are now part of the defaults.
  * Build with hardening=+all build hardening flag.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 16:31:24 +0100

kreport (3.2.0-3) unstable; urgency=medium

  * Backport upstream commit 5d3053ea78b349b81b7a562974ad78f93d169791 to export
    KReportGroupTracker when built with GCC 10; patch
    upstream_Fix-build-with-GCC-10-make-KReportGroupTracker-use-C.patch.
    (Closes: #975745)
    - update symbols files
  * Small copyright update.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Nov 2020 17:16:25 +0100

kreport (3.2.0-2) unstable; urgency=medium

  * Change the python3 build dependency to python3:any, as Python is needed
    only as build tool.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Bump Standards-Version to 4.5.1, no changes required.
  * Add Rules-Requires-Root: no.
  * Update symbols files. (Closes: #975179)

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:35:16 +0100

kreport (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update Vcs-* fields.
  * Bump the libkproperty3-dev build dependency to >= 3.2.0~.

 -- Pino Toscano <pino@debian.org>  Thu, 10 Oct 2019 08:13:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,23 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
                libkf5guiaddons-dev (>= 5.16.0),
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
-               libkproperty3-dev (>= 3.1.0~),
-               libmarble-dev (>= 4:16.08.0~),
-               libqt5webkit5-dev,
+               libkproperty3-dev (>= 3.2.0~),
                pkg-kde-tools (>= 0.15.16),
-               python3,
+               python3:any,
                qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
                qttools5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
 Homepage: https://community.kde.org/KReport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kreport.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kreport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kreport.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kreport
 
 Package: libkreport3-4
 Architecture: any
@@ -106,33 +104,3 @@
  This package contains the barcode plugin for KReport.
  .
  This package is part of the Calligra Suite.
-
-Package: libkreport3-plugin-maps
-Architecture: any
-Multi-Arch: same
-Depends: libkreport3-4 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: maps plugin for KReport
- The KReport framework implements reporting functionality for creation
- of reports in MS Access style. They are also similar to SAP Crystal Reports
- and FileMaker reports.
- .
- This package contains the maps plugin for KReport.
- .
- This package is part of the Calligra Suite.
-
-Package: libkreport3-plugin-web
-Architecture: any
-Multi-Arch: same
-Depends: libkreport3-4 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: web plugin for KReport
- The KReport framework implements reporting functionality for creation
- of reports in MS Access style. They are also similar to SAP Crystal Reports
- and FileMaker reports.
- .
- This package contains the web plugin for KReport.
- .
- This package is part of the Calligra Suite.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBUILD_TESTING=OFF \
		-DPython_ADDITIONAL_VERSIONS=3

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
https://download.kde.org/stable/kreport/src/@PACKAGE@-([\d.]+)\.tar\.xz

## kreport 3.2.0+p24.04+vstable+git20250914.1115

=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20250914.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 11:15:55 +0000

kreport (3.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Mar 2018 10:12:22 +0000

kreport (3.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Aug 2017 03:13:04 +0000

kreport (3.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2017 13:35:47 +0000

kreport (3.0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Oct 2016 12:56:04 +0000

## kreport 3.2.0+p24.04+vstable+git20250921.0639

=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20250921.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:39:03 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DPython_ADDITIONAL_VERSIONS=3

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/kreport/src/kreport-([\d\.]+)\.tar\.xz

## kreport 3.2.0+p24.04+vstable+git20251127.0559

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
 set(REQUIRED_KF5_VERSION 5.16.0)
-set(REQUIRED_KPROPERTY_VERSION 3.2.0)
+set(REQUIRED_KPROPERTY_VERSION ${PROJECT_VERSION})
 
 # Required components to build this framework
 # TODO move Widgets/KF5WidgetsAddons-dependent part to a libKReportDesigner
@@ -45,7 +45,6 @@
 
 get_git_revision_and_branch()
 add_unfinished_features_option()
-add_pc_file(${PROJECT_NAME})
 
 add_subdirectory(src)
 
@@ -58,8 +57,8 @@
   add_subdirectory(examples)
 endif()
 
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-    ecm_install_po_files_as_qm(po)
+if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/poqm")
+    ecm_install_po_files_as_qm(poqm)
 endif()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -106,6 +106,7 @@
 
 if(KREPORT_SCRIPTING)
     list(APPEND kreport_LIB_SRCS
+        renderer/scripting/KReportGroupTracker.cpp
         renderer/scripting/KReportScriptHandler.cpp
         renderer/scripting/KReportScriptConstants.cpp
         renderer/scripting/KReportScriptDebug.cpp
@@ -131,10 +132,6 @@
         items/field/KReportScriptField.cpp
         items/image/KReportScriptImage.cpp
         items/text/KReportScriptText.cpp
-    )
-
-    qt_wrap_cpp(KReport kreport_LIB_SRCS
-        renderer/scripting/KReportGroupTracker.h
     )
 
     list(APPEND kreport_INCLUDE_DIRS
@@ -198,6 +195,8 @@
         Qt5::Widgets
         KF5::ConfigGui
         KF5::WidgetsAddons
+    PRIVATE
+        Qt5::PrintSupport
     )
 
 ecm_setup_version(${PROJECT_VERSION}

=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20251127.0559-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 27 Nov 2025 05:59:11 +0000

## kreport 3.2.0+p24.04+vstable+git20260131.0242

=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20260131.0242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:42:46 +0000

## kreport 3.2.0+p24.04+vunstable+git20250924.0938

=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20250924.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 09:38:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: kreport
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 13),
@@ -12,15 +11,19 @@
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
                libkproperty3-dev (>= 3.2.0~),
+               libqt5webkit5-dev,
                pkg-kde-tools (>= 0.15.16),
                python3:any,
                qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
                qttools5-dev,
-Standards-Version: 4.7.2
+               qtwebengine5-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://community.kde.org/KReport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kreport.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kreport
+Vcs-Git: https://invent.kde.org/neon/extras/kreport.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kreport
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libkreport3-4
 Architecture: any
@@ -76,11 +79,11 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkreport3-4 (= ${binary:Version}),
+Depends: libkf5coreaddons-dev,
+         libkproperty3-dev (>= 3.0.0),
+         libkreport3-4 (= ${binary:Version}),
          qtbase5-dev (>= 5.3.0),
-         libkproperty3-dev (>= 3.0.0),
-         libkf5coreaddons-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: development files for KReport
  The KReport framework implements reporting functionality for creation
  of reports in MS Access style. They are also similar to SAP Crystal Reports
@@ -104,3 +107,33 @@
  This package contains the barcode plugin for KReport.
  .
  This package is part of the Calligra Suite.
+
+Package: libkreport3-plugin-maps
+Architecture: any
+Multi-Arch: same
+Depends: libkreport3-4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: maps plugin for KReport
+ The KReport framework implements reporting functionality for creation
+ of reports in MS Access style. They are also similar to SAP Crystal Reports
+ and FileMaker reports.
+ .
+ This package contains the maps plugin for KReport.
+ .
+ This package is part of the Calligra Suite.
+
+Package: libkreport3-plugin-web
+Architecture: any
+Multi-Arch: same
+Depends: libkreport3-4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: web plugin for KReport
+ The KReport framework implements reporting functionality for creation
+ of reports in MS Access style. They are also similar to SAP Crystal Reports
+ and FileMaker reports.
+ .
+ This package contains the web plugin for KReport.
+ .
+ This package is part of the Calligra Suite.

## kreport 3.2.0+p24.04+vunstable+git20251112.0021

=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20251112.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 12 Nov 2025 00:21:42 +0000

## kreport 3.2.0+p24.04+vunstable+git20251113.0222

=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20251113.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 02:22:54 +0000

## kreport 3.2.0+p24.04+vunstable+git20260129.0222

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
-find_package(ECM 1.8.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+find_package(ECM 5.45.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 include(SetKReportCMakePolicies NO_POLICY_SCOPE)
 
-project(KReport VERSION 3.2.0) # Update this
+project(KReport VERSION 3.2.90) # Update this: Alpha = 90, Beta 1 = 91, RC 1 = 94
 
 include(KReportAddTests)
 include(KReportAddExamples)
@@ -22,17 +22,18 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(ECMSetupQtPluginMacroNames)
+include(ECMAddQch)
 
 # Own
 include(KReportAddIconsRccFile)
-include(KReportAddQCH)
 include(KReportMacros)
 
 simple_option(BUILD_QCH "Build API documentation in QCH format" OFF)
 
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
-set(REQUIRED_KF5_VERSION 5.16.0)
+set(REQUIRED_KF5_VERSION 5.44.0)
 set(REQUIRED_KPROPERTY_VERSION ${PROJECT_VERSION})
 
 # Required components to build this framework
@@ -45,6 +46,11 @@
 
 get_git_revision_and_branch()
 add_unfinished_features_option()
+
+ecm_setup_qtplugin_macro_names(
+    JSON_ARG2 KREPORT_PLUGIN_FACTORY
+    CONFIG_CODE_VARIABLE KREPORT_SETUP_AUTOMOC_VARIABLES
+)
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
     common/KReportItemLine.cpp
     common/KReportRenderObjects.cpp
     common/KReportPluginManager.cpp
-    common/KReportJsonTrader_p.cpp
     common/KReportPluginMetaData.cpp
     common/KReportDataSource.cpp
     common/KReportUtils.cpp
@@ -210,10 +209,10 @@
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KREPORT_BASE_NAME}")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KREPORT_BASE_NAME}")
 
 # A place for KReport plugins
-set(KREPORT_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
+set(KREPORT_PLUGIN_INSTALL_DIR ${KDE_INSTALL_PLUGINDIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KReportConfig.cmake.in"
@@ -242,7 +241,7 @@
 install(FILES ${PRI_FILENAME}
         DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
-install(FILES kreport_elementplugin.desktop  DESTINATION ${SERVICETYPES_INSTALL_DIR})
+install(FILES kreport_elementplugin.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
 
 ecm_generate_headers(kreport_FORWARDING_HEADERS
     REQUIRED_HEADERS kreport_HEADERS
@@ -326,12 +325,12 @@
 )
 
 if(BUILD_QCH)
-    kreport_add_qch(
+    ecm_add_qch(
         KReport_QCH
         NAME KReport
         BASE_NAME ${KREPORT_BASE_NAME}
         VERSION ${PROJECT_VERSION}
-        NAMESPACE org.kde.${KREPORT_BASE_NAME}
+        ORG_DOMAIN org.kde.${KREPORT_BASE_NAME}
         SOURCES
             Mainpage.dox
             ${kreport_HEADERS}
@@ -345,16 +344,20 @@
             KF5CoreAddons_QCH
             KPropertyCore_QCH
             KPropertyWidgets_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
+            ${kreport_INCLUDE_DIRS}
         BLANK_MACROS
             KREPORT_EXPORT
             KREPORT_DEPRECATED
-        TAGFILE_INSTALL_DESTINATION ${KREPORT_QTQCH_FULL_INSTALL_DIR}
-        QCH_INSTALL_DESTINATION ${KREPORT_QTQCH_FULL_INSTALL_DIR}
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
     )
     set(kreport_qch_targets KReport_QCH)
 endif()
 
-kreport_install_qch_export(
+ecm_install_qch_export(
     TARGETS ${kreport_qch_targets}
     FILE KReportQCHTargets.cmake
     DESTINATION "${CMAKECONFIG_INSTALL_DIR}"

=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20260129.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:22:17 +0000
